import request from "@/utils/request";
import { Market_BaseUrl } from "@/api/config";
const baseURL = Market_BaseUrl + "/admin/birthdayGift";
const API = {
  getConfig(params: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "get",
      params
    });
  },
  editConfig(data: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "post",
      data
    });
  },
  getRecord(params: any) {
    return request<any>({
      url: `${baseURL}/record`,
      method: "get",
      params
    });
  },
  getSummary(params: any) {
    return request<any>({
      url: `${baseURL}/summary`,
      method: "get",
      params
    });
  },
}
export default API;

